.widget {
    z-index: 400;
    width: rem(50);
    height: rem(50);
    position: fixed;
    bottom: rem(20);
    right: rem(20);
    font-size: 0;
    line-height: 0;

    &__control {
        z-index: 50;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        display: block;
        width: rem(50);
        height: rem(50);
        fill: var(--dark);
        cursor: pointer;
        position: relative;
        background: white;
        border-radius: 50%;

        i {
            top: calc(50% - 12px);
            left: calc(50% - 12px);
            width: rem(24);
            height: rem(24);
            position: absolute;
            display: block;
            transform: rotate(0deg);
            transition: var(--transition-time);

            + i {
                opacity: 0;
                visibility: hidden;
            }
        }
    }

    &__wrap {
        top: 0;
        left: 0;
        z-index: 10;
        width: rem(50);
        height: rem(50);
        position: absolute;
        //overflow: hidden;
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 50%;
        z-index: 20;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        display: flex;
        flex-direction: column;
        row-gap: rem(4);
        height: 0;
        overflow: hidden;
        transition: var(--transition-time);
    }

    &__button {
        flex-shrink: 0;
        border: none;
        outline: none;
        width: rem(50);
        height: rem(50);
        fill: var(--dark);
        cursor: pointer;
        position: relative;
        background: white;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            width: rem(24);
            height: rem(24);
            display: block;
        }

        &:hover {
            fill: var(--orange);

        }
    }

    &__help {
        color: #131313;
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
        white-space: nowrap;
        padding: rem(4) rem(10);
        border-radius: 8px;
        background: white;
        position: absolute;
        top: calc(50% - 14px);
        right: calc(100% + 12px);
        opacity: 1;
        visibility: visible;
        transition: var(--transition-time);
    }

    &.open {

        .widget {

            &__control {

                i {
                    opacity: 0;
                    visibility: hidden;
                    transform: rotate(360deg);
                    transition: var(--transition-time);

                    + i {
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }

            &__content {
                height: rem(295);
                opacity: 1;
                padding-bottom: rem(25);
                visibility: visible;
                transition: var(--transition-time);
            }

            &__wrap {
                overflow: visible;
            }

            &__help {
                opacity: 0;
                visibility: hidden;
                transition: var(--transition-time);
            }
        }
    }

    @include media-breakpoint-up(md) {

    }
}
